CentOS 8:webkit2gtk3 (CESA-2022:7704)

high Nessus Plugin ID 167122

Synopsis

遠端 CentOS 主機缺少一個或多個安全性更新。

描述

遠端 CentOS Linux 8 主機上安裝的多個套件受到 CESA-2022: 7704 公告中提及的多個弱點影響。

- webkitgtk:釋放後使用導致任意程式碼執行 (CVE-2022-22624、CVE-2022-22628、CVE-2022-26709、CVE-2022-26710、CVE-2022-26717)

- webkitgtk:緩衝區溢位可會導致任意程式碼執行 (CVE-2022-22629)

- webkitgtk:Cookie 管理問題導致敏感的使用者資訊被洩漏 (CVE-2022-22662)

- webkitgtk:導致任意程式碼執行的記憶體損毀問題 (CVE-2022-26700、CVE-2022-26716、CVE-2022-26719)

- webkitgtk:WebCore: : TextureMapperLayer: : setContentsLayer 中的堆積緩衝區溢位導致任意程式碼執行 (CVE-2022-30293)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的套件。

另請參閱

https://access.redhat.com/errata/RHSA-2022:7704

Plugin 詳細資訊

嚴重性: High

ID: 167122

檔案名稱: centos8_RHSA-2022-7704.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/11/8

已更新: 2022/11/8

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

風險資訊

VPR

風險因素: High

分數: 7.4

CVSS v2

風險因素: Medium

基本分數: 5.1

時間分數: 3.8

媒介: AV:N/AC:H/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-30293

CVSS v3

風險因素: High

基本分數: 8.8

時間分數: 7.7

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

CVSS 評分資料來源: CVE-2022-26719

弱點資訊

CPE: cpe:/o:centos:centos:8-stream, p-cpe:/a:centos:centos:webkit2gtk3, p-cpe:/a:centos:centos:webkit2gtk3-devel, p-cpe:/a:centos:centos:webkit2gtk3-jsc, p-cpe:/a:centos:centos:webkit2gtk3-jsc-devel

必要的 KB 項目: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/11/8

弱點發布日期: 2022/3/14

參考資訊

CVE: CVE-2022-22624, CVE-2022-22628, CVE-2022-22629, CVE-2022-22662, CVE-2022-26700, CVE-2022-26709, CVE-2022-26710, CVE-2022-26716, CVE-2022-26717, CVE-2022-26719, CVE-2022-30293

RHSA: 2022:7704